WCSNCPY(3)

NAME
wcsncpy - copy a fixed-size string of wide characters

SYNOPSIS
#include <wchar.h>

wchar_t *wcsncpy(wchar_t *dest, const wchar_t *src, size_t n);

DESCRIPTION
The wcsncpy function is the wide-character equivalent of the strncpy function. It copies at most n wide characters from the wide-character string pointed to by src, including the terminating L'\0' character, to the array pointed to by dest. Exactly n wide characters are written at dest. If the length wcslen(src) is smaller than n, the remaining wide characters in the array pointed to by dest are filled with L'\0' characters. If the length wcslen(src) is greater or equal to n, the string pointed to by dest will not be L'\0' terminated.

The strings may not overlap.

The programmer must ensure that there is room for at least n wide characters at dest.

RETURN VALUE
wcsncpy returns dest.

CONFORMING TO
ISO/ANSI C, UNIX98

SEE ALSO
strncpy(3)